Bug 183960 - SQL Dumps Library when NFS server is offline
SQL Dumps Library when NFS server is offline
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 21:46 EST by JT Tarr
Modified: 2008-09-14 10:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-01 15:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JT Tarr 2006-03-03 21:46:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060223 Fedora/1.5.0.1-5 Firefox/1.5.0.1

Description of problem:
I'm running Amarok on my machine and 2 kids machines via NFS to a main server.
If I'm working on that server and it's offline, the entire (local) music library dumps and has to be rebuilt once the server is up again. The main SQL database seems to still have all the applicable album art, lyrics, etc, yet rebuilding the library at the local level with a 6000+ song library takes 20-30 minutes on a fast machine, and 45 minutes to an hour on older hardware. 
I don't want to disable "watch folders for changes" in setup for obvious reasons.
There needs to be a warning message pop-up that says, "music library not found. Rebuild or cancel."
Yes this probably needs to go the the Amarok Dev people at a feature request.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Douglas E. Warner 2006-10-27 08:45:24 EDT
What version of amarok was the OP using?  Amarok 1.4.2+ is supposed to have a 
feature called a "dynamic collection" 
(http://amarok.kde.org/wiki/Dynamic_Collection) that detects if a share is 
SMB, CIFS, or NFS and doesn't touch files in the library if that collection is 
unavailable.

Unfortunately this feature doesn't appear to be working, or is poorly 
explained on the wiki page.  I have a problem where I have one music store at 
home that I access via CIFS share and one at work also accessed via a CIFS 
share.  When I startup amarok at either of these locations my collection is 
completely erased and it rebuilds for the new share.  My understanding of the 
feature is that this shouldn't happen.
Comment 2 Douglas E. Warner 2007-01-15 16:03:03 EST
Sometime after 1.4.4 (probably 1.4.5) CIFS support will be added.  See my 
forum post here:
http://amarok.kde.org/forum/index.php/topic,13201.0.html
Comment 3 Steven M. Parrish 2008-05-08 09:42:54 EDT
This does look like it should be reported upstream.  After doing so please
update this report with the upstream info.
Comment 4 Bug Zapper 2008-05-13 22:06:26 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.